## OobsIfaceWireless

OobsIfaceWireless — Object that represents an individual Wireless interface

## Functions

const gchar * | oobs_iface_wireless_get_essid ()
void | oobs_iface_wireless_set_essid ()
const gchar * | oobs_iface_wireless_get_key ()
void | oobs_iface_wireless_set_key ()
const gchar * | oobs_iface_wireless_get_key_type ()
void | oobs_iface_wireless_set_key_type ()

## Properties

char * | essid | Read / Write
char * | key | Read / Write
char * | key-type | Read / Write

## Object Hierarchy

        GObject
        ╰── OobsIface
            ╰── OobsIfaceEthernet
                ╰── OobsIfaceWireless

## Description

## Functions

### oobs_iface_wireless_get_essid ()

    const gchar *
    oobs_iface_wireless_get_essid (OobsIfaceWireless *iface);

Returns the network identification (ESSID) that this interface uses.

#### Parameters

iface | an OobsIfaceWireless. |

#### Returns

A pointer to the network identification as a string. This string must not be freed, modified or stored.

### oobs_iface_wireless_set_essid ()

    void
    oobs_iface_wireless_set_essid (OobsIfaceWireless *iface,
                                   const gchar *essid);

Sets a new network identification (ESSID), overwriting the previous one.

#### Parameters

iface | An OobsIfaceWireless. |
essid | a new ESSID for the interface. |

### oobs_iface_wireless_get_key ()

    const gchar *
    oobs_iface_wireless_get_key (OobsIfaceWireless *iface);

Returns the network key associated to the ESSID that this interface uses.

#### Parameters

iface | an OobsIfaceWireless. |

#### Returns

A pointer to the network key as a string, or `NULL` if it's unset. This string must not be freed, modified or stored.

### oobs_iface_wireless_set_key ()

    void
    oobs_iface_wireless_set_key (OobsIfaceWireless *iface,
                                 const gchar *key);

Sets a new network key for the ESSID that the interface uses.

#### Parameters

iface | an OobsIfaceWireless. |
key | a new key for the ESSID, or `NULL` to unset it. |

### oobs_iface_wireless_get_key_type ()

    const gchar *
    oobs_iface_wireless_get_key_type (OobsIfaceWireless *iface);

Returns the type of key that the interface uses.

#### Parameters

iface | an OobsIfaceWireless. |

#### Returns

The key type.

### oobs_iface_wireless_set_key_type ()

    void
    oobs_iface_wireless_set_key_type (OobsIfaceWireless *iface,
                                      const gchar *key_type);

Sets the type of the contained key.

#### Parameters

iface | an OobsIfaceWireless. |
key_type | a new type to define the key. |

## Property Details

### The `“essid”` property

      “essid”                    char *

ESSID.

Owner: OobsIfaceWireless

Flags: Read / Write

Default value: NULL

### The `“key”` property

      “key”                      char *

Key.

Owner: OobsIfaceWireless

Flags: Read / Write

Default value: NULL

### The `“key-type”` property

      “key-type”                 char *

key type.

Owner: OobsIfaceWireless

Flags: Read / Write

Default value: NULL

## See Also

OobsIface, OobsIfacesConfig, OobsIfaceEthernet, OobsIfaceIRLan, OobsIfacePlip, OobsIfacePPP, OobsIfaceWireless